org.omg.CORBA

## Interface ARG_IN

    public interface ARG_IN

Signifies an "input" argument to an invocation, meaning that the argument is being passed from the client to the server. `ARG_IN.value` is one of the possible values used to indicate the direction in which a parameter is being passed during an invocation performed using the Dynamic Invocation Interface (DII).

The code fragment below shows a typical usage:

        ORB orb = ORB.init(args, null);
        org.omg.CORBA.NamedValue nv = orb.create_named_value(
             "IDLArgumentIdentifier", myAny, org.omg.CORBA.ARG_IN.value);

Since:
  JDK1.2
See Also:
  `NamedValue`

### Field Summary

Fields
`static int` `value` The value indicating an input argument.

### Field Detail

#### value

    static final int value

The value indicating an input argument.

See Also:
  Constant Field Values